# -*- encoding: utf-8 -*-
# stub: json_spec 1.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "json_spec"
  s.version = "1.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Steve Richert"]
  s.date = "2014-06-17"
  s.description = "RSpec matchers and Cucumber steps for testing JSON content"
  s.email = ["steve.richert@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "features/equivalence.feature", "features/files.feature", "features/inclusion.feature", "features/memory.feature", "features/paths.feature", "features/sizes.feature", "features/step_definitions/steps.rb", "features/support/env.rb", "features/types.feature", "gemfiles/rspec2.gemfile", "gemfiles/rspec3.gemfile", "json_spec.gemspec", "lib/json_spec.rb", "lib/json_spec/configuration.rb", "lib/json_spec/cucumber.rb", "lib/json_spec/errors.rb", "lib/json_spec/exclusion.rb", "lib/json_spec/helpers.rb", "lib/json_spec/matchers.rb", "lib/json_spec/matchers/be_json_eql.rb", "lib/json_spec/matchers/have_json_path.rb", "lib/json_spec/matchers/have_json_size.rb", "lib/json_spec/matchers/have_json_type.rb", "lib/json_spec/matchers/include_json.rb", "lib/json_spec/memory.rb", "lib/json_spec/messages.rb", "spec/json_spec/configuration_spec.rb", "spec/json_spec/helpers_spec.rb", "spec/json_spec/matchers/be_json_eql_spec.rb", "spec/json_spec/matchers/have_json_path_spec.rb", "spec/json_spec/matchers/have_json_size_spec.rb", "spec/json_spec/matchers/have_json_type_spec.rb", "spec/json_spec/matchers/include_json_spec.rb", "spec/json_spec/matchers_spec.rb", "spec/json_spec/memory_spec.rb", "spec/spec_helper.rb", "spec/support/files/one.json", "spec/support/files/project/one.json", "spec/support/files/project/two.json", "spec/support/files/project/version/one.json", "spec/support/files/project/version/two.json", "spec/support/files/two.json"]
  s.homepage = "https://github.com/collectiveidea/json_spec"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.2.2"
  s.summary = "Easily handle JSON in RSpec and Cucumber"
  s.test_files = ["features/equivalence.feature", "features/files.feature", "features/inclusion.feature", "features/memory.feature", "features/paths.feature", "features/sizes.feature", "features/step_definitions/steps.rb", "features/support/env.rb", "features/types.feature", "spec/json_spec/configuration_spec.rb", "spec/json_spec/helpers_spec.rb", "spec/json_spec/matchers/be_json_eql_spec.rb", "spec/json_spec/matchers/have_json_path_spec.rb", "spec/json_spec/matchers/have_json_size_spec.rb", "spec/json_spec/matchers/have_json_type_spec.rb", "spec/json_spec/matchers/include_json_spec.rb", "spec/json_spec/matchers_spec.rb", "spec/json_spec/memory_spec.rb", "spec/spec_helper.rb", "spec/support/files/one.json", "spec/support/files/project/one.json", "spec/support/files/project/two.json", "spec/support/files/project/version/one.json", "spec/support/files/project/version/two.json", "spec/support/files/two.json"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<multi_json>, ["~> 1.0"])
      s.add_runtime_dependency(%q<rspec>, ["< 4.0", ">= 2.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
    else
      s.add_dependency(%q<multi_json>, ["~> 1.0"])
      s.add_dependency(%q<rspec>, ["< 4.0", ">= 2.0"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
    end
  else
    s.add_dependency(%q<multi_json>, ["~> 1.0"])
    s.add_dependency(%q<rspec>, ["< 4.0", ">= 2.0"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
  end
end
